﻿<?php

html_page_top( 'プロジェクト選択' );

print_manage_menu( );
?>

<br/>
<form action="<?php echo plugin_page( 'config_edit' )?>" method="post">
<?php echo form_security_field( 'plugin_sample_config_edit' ) ?>
<table align="center" class="width50" cellspacing="1">

<tr>
	<td class="form-title" colspan="3">機能を有効にするプロジェクトを選択してください</td>
</tr>

<?php
	$projects = project_cache_all();
	$project_count = count($projects);
	for ($i = 1; $i <= $project_count; $i++ ) {
		$project = $projects[$i];
		$tag_name = 'project_'.$project['id'];
		# plugin_config_get()で、プラグイン固有の設定値を取得
		# 第二引数は、設定値が存在しない場合のデフォルト値
		$select_value = plugin_config_get($tag_name, 1);
		
		echo '<tr '.helper_alternate_class( ).'>';
		echo '<td class="category">'.$project['name'].'</td>';
		
		echo '<td class="center">';
		echo '<label><input type="radio" name="project_'.$project['id'].'" value="1" ';
		echo ($select_value == 1) ? 'checked="checked"' : '';
		echo '/>使用<label></td>';
		
		echo '<td class="center">';
		echo '<label><input type="radio" name="project_'.$project['id'].'" value="0" ';
		echo ($select_value == 0) ? 'checked="checked"' : '';
		echo '/>未使用<label></td>';
		echo '</tr>';
	}
?>

<tr>
	<td class="center" colspan="3">
		<input type="submit" class="button" value="<?php echo lang_get( 'change_configuration' )?>" />
	</td>
</tr>

</table>
</form>


<?php
html_page_bottom();
