﻿<?php
$t_plugin_path = config_get( 'plugin_path' );
require_once( $t_plugin_path . 'Example' . DIRECTORY_SEPARATOR . 'util.php' );

helper_begin_long_process();

$result = find_extra_data(true);

$project_name = project_get_name(array_pop(explode(';', $result['target_project'])));
$target_start = date('Y-m-d', $result['target_start']);
$target_end = date('Y-m-d', $result['target_end']);
$t_filename = "修正モジュール一覧({$project_name}:{$target_start}から{$target_end}).csv";
echo $t_filename;

header( 'Pragma: public' );
header( 'Content-Type: text/plain; name=' . urlencode( file_clean_name( $t_filename ) ) );
header( 'Content-Transfer-Encoding: BASE64;' );

# Added Quotes (") around file name.
header( 'Content-Disposition: attachment; filename="' . urlencode( file_clean_name( $t_filename ) ) . '"' );

echo '"ID","要約","修正パッケージ","修正クラス","修正メソッド","最終更新日"'."\n";

$row_count = db_num_rows( $result['items'] );
for ($i = 0; $i < $row_count; $i++ ) {
	$row = db_fetch_array( $result['items'] );
	
	echo '"'.$row['id'].'",';
	echo '"'.$row['summary'].'",';
	echo '"'.$row['package_name'].'",';
	echo '"'.$row['class_name'].'",';
	echo '"'.$row['method_name'].'",';
	echo '"'.date('Y-m-d', $row['last_modified'])."\"\n";
}