﻿<?php
$t_plugin_path = config_get( 'plugin_path' );
require_once( $t_plugin_path . 'Example' . DIRECTORY_SEPARATOR . 'util.php' );

#検索結果を取得
$result = find_extra_data();

#core/html_api.php
html_page_top();

echo '<br />';

echo '<form action="'.plugin_page('list').'" method="post">';
echo '<table class="width100" cellspacing="1">';
echo '<tr>';
echo '<td class="form-title" colspan="2">検索条件<td>';

echo '検索対象プロジェクト<select name="target_project">';
#core/print_api.php
print_project_option_list($result['target_project'], true, null, true);
echo '</select>';

#core/data_api.php
echo '開始：';
print_date_selection_set('target_start', 'Y/m/d', $result['target_start']);
echo '終了：';
print_date_selection_set('target_end', 'Y/m/d', $result['target_end']);
#print_project_option_list( join( ';', helper_get_current_project_trace() ), true, null, true );

echo '<input type="submit" name="search" class="button-small" value="表示" />';
echo '</td>';
echo '</tr>';
echo '</table>';
echo '</form>';

echo '<br />';
echo '<table id="buglist" class="width100" cellspacing="1"> ';
echo '<tr>';
echo '<td class="form-title" colspan="10">';
echo '<span class="floatleft">検索結果一覧</span>';
if (isset($result['items'])) {
	echo '<span class="floatleft small"> &nbsp;<span class="bracket-link">[&nbsp;<a href="';
	echo plugin_page('csv_export');
	echo '&target_project='.$result['target_project'];
	echo '&target_start='.$result['target_start'];
	echo '&target_end='.$result['target_end'];
	echo '">CSV出力</a>&nbsp;]</span> </span>';
}
echo '<span class="floatright small"> </span>';
echo '</td>';
echo '</tr>';

echo '<tr class="row-category">';
echo '<td>ID</td><td>要約</td><td>修正パッケージ</td><td>修正クラス</td><td>修正メソッド</td><td>最終更新日</td></tr>';
echo '<tr class="spacer"><td colspan="6"></td></tr>';


if (isset($result['items'])) {
	$row_count = db_num_rows( $result['items'] );
	
	for ($i = 0; $i < $row_count; $i++ ){
		$row = db_fetch_array( $result['items'] );
		echo '<tr bgcolor="#d2f5b0" border="1" valign="top">';
		echo '<td class="center">'.string_get_bug_view_link($row['id']).'</td>';
		echo '<td class="left">'.$row['summary'].'</td>';
		echo '<td class="left">'.$row['package_name'].'</td>';
		echo '<td class="left">'.$row['class_name'].'</td>';
		echo '<td class="left">'.$row['method_name'].'</td>';
		echo '<td class="center">'.date('Y-m-d', $row['last_modified']).'</td></tr>';
		echo '</tr>';
	}
}

echo '<tr class="spacer"><td colspan="6"></td></tr>';
echo '</table>';

#core/html_api.php
html_page_bottom();